Package org.pushingpixels.substance.api.tabbed

# Interface VetoableMultipleTabCloseListener

All Superinterfaces:
  `BaseTabCloseListener`, `MultipleTabCloseListener`

public interface VetoableMultipleTabCloseListener extends MultipleTabCloseListener
Vetoable listener on tabs closing. This class is part of officially supported API.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`vetoTabsClosing(JTabbedPane tabbedPane, Set<Component> tabComponents)`
Called when tabs are about to be closed.

### Methods inherited from interface org.pushingpixels.substance.api.tabbed.MultipleTabCloseListener

`tabsClosed, tabsClosing`

## Method Details

### vetoTabsClosing

boolean vetoTabsClosing(JTabbedPane tabbedPane, Set<Component> tabComponents)
Called when tabs are about to be closed. Can veto the tabs closing.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabComponents` - Tab components to be closed.
Returns:
  `true` if the corresponding tabs shouldn't be closed, `false` otherwise.